Name:		rstp
Summary:	Rapid Spanning Tree User Space Daemon
Version:	04012009git
Release:	14%{dist}
# Note the lack of a URL tag here.  rstp has no official upstream project page,
# just a git repository, so we don't include the URL here. rpmlint will yell
# about this, rpmlint is wrong,

License:	GPLv2+ and LGPLv2+
Group:		System Environment/Base
# Generate this tarball with the following commands in the git tree:
# git clone git://git.kernel.org/pub/scm/linux/kernel/git/shemminger/rstp.git
# cd rstp
# git checkout 76eb7423e188f6852ba9ced4352e0d61f4dace4d
# cd ..
# tar jcf git-04012009git.tar.bz2 rstp 
Source0:	%{name}-%{version}.tar.bz2

# http://patchwork.ozlabs.org/patch/46803/
# Submitted upstream, no reply yet
Patch0:	rstp-type-punning.patch
Patch1: rstp-unused-fix.patch
Patch2: rstp-ftbfs-bz914445.patch

%description
rstp is a user space implementation of the rapid spanning tree protocol.  It
replaces the in-kernel STP implementation

%prep
%setup -q -n rstp

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make %{?_smp_mflags}

%install
make INSTALLPREFIX=$RPM_BUILD_ROOT install
install -m 755 bridge $RPM_BUILD_ROOT/sbin
install -m 755 bridge-stp $RPM_BUILD_ROOT/sbin

%files
%defattr(-,root,root,-)
/sbin/*
%{_mandir}/man8/*
%doc CHANGES_TO_RSTPLIB TODO LICENSE rstplib/COPYING


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 04012009git-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 04012009git-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 04012009git-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 04012009git-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Neil Horman <nhorman@redhat.com> - 04012009git-10
- Fixed FTBFS (bz 914445)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 04012009git-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 04012009git-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 04012009git-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 23 2011 Neil Horman <nhorman@redhat.com> - 041209git-6
- Fixed unused variable build error (bz 716119)
 
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 04012009git-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Apr 07 2010 Neil Horman <nhorman@redhat.com> - 04012009git-4
- Add more comments
- add LICENSE file and COPYING file

* Wed Apr 07 2010 Neil Horman <nhorman@redhat.com> - 04012009git-3
- Removed clean script
- Added comments regarding patch and tarball

* Wed Apr 07 2010 Neil Horman <nhorman@redhat.com> - 04012009git-2
- Fix review comments in bz 570166
- remove buildroot tag
- remove URL tag
- add requested docs

* Mon Mar 03 2010 Neil Horman <nhorman@redhat.com> - 04012009git-1
- Initial Build

